-- name: [CS] Monsieur Windows
-- description: Monsieur Windows.\n\n\\#ff7777\\Pack pour le Character Select\n\nby 6b

--[[
    API Documentation for Character Select can be found below:
    https://github.com/Squishy6094/character-select-coop/blob/main/API-doc.md

    Use this if you're curious on how anything here works >v<
]]

local E_MODEL_MRWINDOWS = smlua_model_util_get_id("mrwindows_geo")

local TEX_MRWINDOWS_ICON = get_texture_info("mrwindows-icon")

local TEXT_MOD_NAME = "Monsieur Windows"

local VOICETABLE_MRWINDOWS = {
    [CHAR_SOUND_ATTACKED] = 'error.mp3',
    [CHAR_SOUND_DOH] = 'ding.mp3',
    [CHAR_SOUND_DROWNING] = 'drowning.mp3',
    [CHAR_SOUND_DYING] = 'shutdown.mp3',
    [CHAR_SOUND_GROUND_POUND_WAH] = '7ding.mp3',
    [CHAR_SOUND_HAHA] = {'tada.mp3', 'logon.mp3', 'logoff.mp3'},
    [CHAR_SOUND_HAHA_2] = {'tada.mp3', 'logon.mp3', 'logoff.mp3'},
    [CHAR_SOUND_HERE_WE_GO] = 'tada.mp3',
    [CHAR_SOUND_HOOHOO] = 'jump4.mp3',
    [CHAR_SOUND_MAMA_MIA] = 'usb_off.mp3',
    [CHAR_SOUND_OKEY_DOKEY] = {'click.mp3', 'usb_on.mp3', },
    [CHAR_SOUND_ON_FIRE] = 'chord.mp3',
    [CHAR_SOUND_OOOF] = 'ding.mp3',
    [CHAR_SOUND_OOOF2] = 'ding.mp3',
    [CHAR_SOUND_PUNCH_HOO] = 'jump2.mp3',
    [CHAR_SOUND_PUNCH_WAH] = 'jump1.mp3',
    [CHAR_SOUND_PUNCH_YAH] = 'jump5.mp3',
    [CHAR_SOUND_SO_LONGA_BOWSER] = {'logon.mp3', 'logoff.mp3'},
    [CHAR_SOUND_TWIRL_BOUNCE] = 'complete.mp3',
    [CHAR_SOUND_WAAAOOOW] = 'error.mp3',
    [CHAR_SOUND_WAH2] = 'exclamation.mp3',
    [CHAR_SOUND_WHOA] = {'ding.mp3', 'message.mp3', 'default.mp3'},
    [CHAR_SOUND_YAHOO] = 'chimes.mp3',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = 'chimes.mp3',
    [CHAR_SOUND_YAH_WAH_HOO] = 'jump3.mp3',
    [CHAR_SOUND_YAWNING] = 'click.mp3',
}



if _G.charSelectExists then
    CT_CHAR = _G.charSelect.character_add("Monsieur Windows", {"Pour joué en tant que Monsieur Windows", "Cliquez sur OK pour continuer."}, "6b", {r = 255, g = 200, b = 200}, E_MODEL_MRWINDOWS, CT_MARIO, TEX_MRWINDOWS_ICON)

    -- the following must be hooked for each character added
    _G.charSelect.character_add_voice(E_MODEL_MRWINDOWS, VOICETABLE_MRWINDOWS)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_MRWINDOWS then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_MRWINDOWS then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end